Skip to main content
GET
/
api
/
v1
/
app
/
reviews
List reviews
curl --request GET \
  --url https://{subdomain}.easyflows.io/api/v1/app/reviews
{
  "data": [
    {
      "id": "27e460ed-1e9c-4097-9f7e-12db081aa5c2",
      "rating": 5,
      "body": "I really like this product.",
      "customer": true,
      "approved": true,
      "member": {
        "id": "f804cfec-39ec-45cc-845a-4fe51b80d2f0",
        "name": "John Doe"
      },
      "created_at": "2026-01-01T12:00:00Z",
      "updated_at": "2026-01-01T12:00:00Z",
      "title": "Great product!",
      "product": {
        "id": "0b0abfba-18a4-4b7e-9179-e0cec1f2994f",
        "ref": "tebex-5ea84f",
        "platform": "tebex",
        "name": "Example Product",
        "image": "https://example.com/image.jpg",
        "description": "This is an example product."
      }
    }
  ],
  "meta": {
    "total": 1,
    "page": 1,
    "limit": 20
  }
}

Query Parameters

page
number | null
default:1

The page number for pagination.

limit
number | null
default:20

The number of items per page.

product_ref
string

The reference of the product for which to list reviews.

rating
integer

Filter reviews by rating.

Required range: 1 <= x <= 5

Response

Success

data
object[]
required

The array of data returned by the API endpoint.

meta
object
required

Metadata about the paginated response.